<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
@author 		fabio.navarrete
@version 		2.0
@description	Pantalla que establece los datos de entrada para una persona
@cu 			CU-CO-R-01
@param			postIdParam: Cadena de texto postpuesta a los ids de la página
@param			mostrarRelacionesParam: Indica si se muestra la opción de seleccionar relaciones en la 
                pantalla.
@param			isSolicitudAvaluoComercialParam: indica si estamos en avalúos comerciales.
@param			updateDatosIdentificacion: Cadena de texto que contiene los componentes a actualizar 
                cuando se modifica un campo de los componentes vinculados a la identificación de la persona
@param			solicitanteParam: Objeto de tipo Solicitante que almacenará los valores de todo el formulario
@param			managedBeanParam: ManagedBean que contiene los métodos:
@param			buscarSolicitante: Método que se encarga de buscar los datos del solicitante según sus 
                datos de identificación.
@param			isOrdenDepartamentosNombre: Método que define si los departamentos (combo box) están 
                ordenados por nombre o código.
@param			getPaises: Método que retorna la lista de selectItems con países requerida con su 
                respectivo orden.
@param			getDepartamentos: Método que retorna la lista de selectItems con departamentos requerida 
                con su respectivo orden.
@param			getMunicipios: Método que retorna la lista de selectItems con municipios requerida 	
                con su respectivo orden.
@param			cambiarOrdenPaises: Método que cambia el orden de presentación de los países.
@param			cambiarOrdenDepartamentos: Método que cambia el orden de presentación de los departamentos.
@param			cambiarOrdenMunicipios: Método que cambia el orden de presentación de los municipios.
@param			selectedPaisCodigo: Getter y Setter para manejo de País del solicitante.
@param			selectedDepartamentoCodigo: Getter y Setter para manejo de Departamento del solicitante.
@param			selectedMunicipioCodigo: Getter y Setter para manejo de Municipio del solicitante.
@param			datosSolicitanteId: identificador del solicitante requerido ya que la ventana se utiliza
                desde multiples partes y los id son dinamicos por este parametro
@param			banderaBusquedaRealizadaParam: bandera que determina la visualización de los componentes
                solo si ya se realizo la busqueda del solicitante
@param			containerCUpdateParam: componente contenedor a actualizar		
@param 			selectedSolicitudParam: solicitud seleccionada

-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="#{datosSolicitanteId}datosSolicitantePanelGrid#{postIdParam eq null ? '' : postIdParam}">

    <h:panelGrid columns="6"
                 id="#{datosSolicitanteId}containerSolicitante#{postIdParam eq null ? '' : postIdParam}">

        <h:panelGrid columns="2">
            <h:outputLabel value="Tipo de persona:"
                           for="#{datosSolicitanteId}tipoPersona#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:selectOneMenu
                id="#{datosSolicitanteId}tipoPersona#{postIdParam eq null ? '' : postIdParam}"
                label="Tipo de persona" value="#{solicitanteParam.tipoPersona}"
                required="true" >
                <f:selectItems value="#{general.personaTipoPersonaV}" />
                <p:ajax process="@this" event="change"
                        update="#{datosSolicitanteId}datosSolicitantePanelGrid#{postIdParam eq null ? '' : postIdParam},
                        #{datosSolicitanteId}containerSolicitante#{postIdParam eq null ? '' : postIdParam}, 
                        #{datosSolicitanteId}containerGeo#{postIdParam eq null ? '' : postIdParam}, 
                        #{datosSolicitanteId}containerTelsSR#{postIdParam eq null ? '' : postIdParam}, 
                        #{datosSolicitanteId}containerDireccion#{postIdParam eq null ? '' : postIdParam}, 
                        #{updateDatosIdentificacion ne null ? ',':''}#{updateDatosIdentificacion ne null ? updateDatosIdentificacion:''}"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>
            <p:message
                for="#{datosSolicitanteId}tipoPersona#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="tipoPersonaMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and isSolicitudAvaluoComercialParam}">
            <h:outputLabel value="Tipo de solicitante:"
                           for="tipoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and isSolicitudAvaluoComercialParam}">
            <h:selectOneMenu
                id="tipoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                label="Tipo de solicitante"
                value="#{solicitanteParam.tipoSolicitante}" required="true">
                <f:selectItems value="#{general.solicitanteTipoSolicitanteV}" />
            </h:selectOneMenu>
            <p:message
                for="tipoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="tipoSolicitanteMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2" rendered="#{!solicitanteParam.juridica}">
            <h:outputLabel value="Tipo de documento:"
                           for="tipoDocumento#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>

        <h:panelGrid columns="2" rendered="#{!solicitanteParam.juridica  and !estaEnRadicacion}">
            <h:selectOneMenu
                id="tipoDocumento#{postIdParam eq null ? '' : postIdParam}"
                label="Tipo de documento" required="true"
                value="#{solicitanteParam.tipoIdentificacion}">
                <f:selectItems value="#{general.personaTipoIdentificacionNoNitCV}" />
            </h:selectOneMenu>
            <p:message
                for="tipoDocumento#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="tipoDocumentoMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2" rendered="#{!solicitanteParam.juridica and estaEnRadicacion}">
            <h:selectOneMenu
                id="tipoDocumentoCC#{postIdParam eq null ? '' : postIdParam}"
                label="Tipo de documento" required="true"
                value="#{solicitanteParam.tipoIdentificacion}">
                <f:selectItems value="#{general.personaTipoIdentificacionSoloCedulas}" />
            </h:selectOneMenu>
            <p:message
                for="tipoDocumento#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="tipoDocumentoMsgCC#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Número de documento:"
                           for="numDocumento#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="6">
            <h:inputText value="#{solicitanteParam.numeroIdentificacion}"
                         id="numDocumento#{postIdParam eq null ? '' : postIdParam}"
                         label="Número de documento" maxlength="50" required="true">
            </h:inputText>
            <p:commandButton icon="ui-icon-search"
                             process="@this, numDocumento#{postIdParam eq null ? '' : postIdParam}, #{datosSolicitanteId}tipoPersona#{postIdParam eq null ? '' : postIdParam}, 
                             tipoDocumento#{postIdParam eq null ? '' : postIdParam},
                             tipoDocumentoCC#{postIdParam eq null ? '' : postIdParam}"
                             title="Buscar"
                             update="#{datosSolicitanteId}datosSolicitantePanelGrid#{postIdParam eq null ? '' : postIdParam},
                             #{datosSolicitanteId}containerSolicitante#{postIdParam eq null ? '' : postIdParam},
                             departamentoSolicitante#{postIdParam eq null ? '' : postIdParam},
                             #{datosSolicitanteId}containerGeo#{postIdParam eq null ? '' : postIdParam},
                             #{datosSolicitanteId}containerTelsSR#{postIdParam eq null ? '' : postIdParam},
                             #{datosSolicitanteId}containerDireccion#{postIdParam eq null ? '' : postIdParam},
                             #{updateDatosIdentificacion ne null ? ',':''}#{updateDatosIdentificacion ne null ? updateDatosIdentificacion:''},
                             #{containerCUpdateParam}"
                             action="#{managedBeanParam.buscarSolicitante}"
                             onstart="statusDialog2.show();" oncomplete="(#{estaEnRadicacion})?handleCompleteSIC(xhr, status, args, solicitantesCoincidentesWV, true):statusDialog2.hide()"
                             onsuccess="statusDialog2.hide();"
                             id="buscarSolicitanteBtn">
                <f:setPropertyActionListener
                    target="#{banderaBusquedaRealizadaParam}" value="true" />
            </p:commandButton>
            <p:message
                for="numDocumento#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="numDocumentoMsg#{postIdParam eq null ? '' : postIdParam}" />

            <h:panelGrid columns="2"
                         rendered="#{solicitanteParam.juridica and banderaBusquedaRealizadaParam}">
                <h:outputLabel value="DV:"
                               for="digitoVerificacion#{postIdParam eq null ? '' : postIdParam}"
                               styleClass="outputLabelStyle"
                               rendered="#{banderaBusquedaRealizadaParam}" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

        </h:panelGrid>

        <p:spacer
            rendered="#{solicitanteParam.juridica and banderaBusquedaRealizadaParam}" />

        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:inputText
                id="digitoVerificacion#{postIdParam eq null ? '' : postIdParam}"
                label="Digito de verificación"
                disabled="true"
                value="#{solicitanteParam.digitoVerificacion}" maxlength="2"
                size="2" rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message
                for="digitoVerificacion#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="digitoVerificacionMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:outputLabel value="Razón social:"
                           for="razonSocial#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:inputText
                id="razonSocial#{postIdParam eq null ? '' : postIdParam}"
                label="Razón social" value="#{solicitanteParam.razonSocial}"
                maxlength="100" required="true" size="30"
                rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message for="razonSocial#{postIdParam eq null ? '' : postIdParam}"
                       display="icon"
                       id="razonSocialMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:outputLabel value="Sigla:"
                       for="sigla#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{solicitanteParam.juridica and  banderaBusquedaRealizadaParam}" />
        <h:panelGrid columns="2"
                     rendered="#{solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:inputText id="sigla#{postIdParam eq null ? '' : postIdParam}"
                         label="Sigla" maxlength="50" value="#{solicitanteParam.sigla}"
                         rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message for="sigla#{postIdParam eq null ? '' : postIdParam}"
                       display="icon"
                       id="siglaMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{!solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:outputLabel value="Primer nombre:"
                           for="primerNombre#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2"
                     rendered="#{!solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:inputText
                id="primerNombre#{postIdParam eq null ? '' : postIdParam}"
                label="Primer nombre" value="#{solicitanteParam.primerNombre}"
                maxlength="100" required="true"
                rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message
                for="primerNombre#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="primerNombreMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:outputLabel value="Segundo nombre:"
                       for="segundoNombre#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{!solicitanteParam.juridica and  banderaBusquedaRealizadaParam}" />
        <h:panelGrid columns="2" rendered="#{!solicitanteParam.juridica}">
            <h:inputText
                id="segundoNombre#{postIdParam eq null ? '' : postIdParam}"
                label="Segundo nombre" value="#{solicitanteParam.segundoNombre}"
                maxlength="100" rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message
                for="segundoNombre#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="segundoNombreMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{!solicitanteParam.juridica and banderaBusquedaRealizadaParam}">
            <h:outputLabel value="Primer apellido:"
                           for="primerApellido#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2"
                     rendered="#{!solicitanteParam.juridica and  banderaBusquedaRealizadaParam}">
            <h:inputText
                id="primerApellido#{postIdParam eq null ? '' : postIdParam}"
                label="Primer apellido" value="#{solicitanteParam.primerApellido}"
                maxlength="100" required="true"
                rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message
                for="primerApellido#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="primerApellidoMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:outputLabel value="Segundo apellido:"
                       for="segundoApellido#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{!solicitanteParam.juridica and  banderaBusquedaRealizadaParam}" />
        <h:panelGrid columns="2"
                     rendered="#{!solicitanteParam.juridica  and banderaBusquedaRealizadaParam}">
            <h:inputText
                id="segundoApellido#{postIdParam eq null ? '' : postIdParam}"
                label="Segundo apellido" value="#{solicitanteParam.segundoApellido}"
                maxlength="100" rendered="#{banderaBusquedaRealizadaParam}" />
            <p:message
                for="segundoApellido#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="segundoApellidoMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <p:spacer
            rendered="#{solicitanteParam.juridica and banderaBusquedaRealizadaParam}" />
        <p:spacer
            rendered="#{solicitanteParam.juridica and banderaBusquedaRealizadaParam}" />

        <h:outputLabel value="Correo electrónico:"
                       for="correoE#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{banderaBusquedaRealizadaParam}" />
        <h:panelGrid columns="2">
            <h:inputText id="correoE#{postIdParam eq null ? '' : postIdParam}"
                         label="Correo electrónico"
                         value="#{solicitanteParam.correoElectronico}" maxlength="100"
                         size="35" rendered="#{banderaBusquedaRealizadaParam}">
                <f:validator validatorId="emailValidator"
                             for="correoE#{postIdParam eq null ? '' : postIdParam}"></f:validator>
            </h:inputText>
            <p:message for="correoE#{postIdParam eq null ? '' : postIdParam}"
                       display="icon"
                       id="correoEMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

        <h:outputLabel value="Relación:"
                       for="relacionSolicitante#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{banderaBusquedaRealizadaParam and mostrarRelacionesParam eq null ? true : mostrarRelacionesParam}" />
        <h:panelGrid columns="1">
            <h:selectOneMenu
                id="relacionSolicitante#{postIdParam eq null ? '' : postIdParam}"
                label="Relación" value="#{solicitanteParam.relacion}"
                rendered="#{banderaBusquedaRealizadaParam and mostrarRelacionesParam eq null ? true : mostrarRelacionesParam }">
                <f:selectItems value="#{managedBeanParam.relacionesSolicitante}" />
            </h:selectOneMenu>
        </h:panelGrid>

    </h:panelGrid>

    <p:separator />
    <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
        <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
        <h:outputText
            value="Si se ingresan los datos correspondientes a teléfono y dirección los datos de ubicación serán requeridos."
            styleClass="noteTextStyle" />
    </h:panelGrid>

    <h:panelGrid id="otrosDatosPanel" columns="2" width="100%">

        <h:panelGrid columns="4"
                     id="#{datosSolicitanteId}containerTelsSR#{postIdParam eq null ? '' : postIdParam}">
            <h:outputLabel value="Teléfono principal:"
                           for="telPrincipal#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText
                    id="telPrincipal#{postIdParam eq null ? '' : postIdParam}"
                    label="Teléfono principal"
                    value="#{solicitanteParam.telefonoPrincipal}" maxlength="15"
                    size="12" rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message
                    for="telPrincipal#{postIdParam eq null ? '' : postIdParam}"
                    display="icon"
                    id="telPrincipalMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Ext:"
                           for="extPrincipal#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText
                    id="extPrincipal#{postIdParam eq null ? '' : postIdParam}"
                    label="Extensión teléfono principal"
                    value="#{solicitanteParam.telefonoPrincipalExt}" maxlength="6"
                    size="5" rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message
                    for="extPrincipal#{postIdParam eq null ? '' : postIdParam}"
                    display="icon"
                    id="extPrincipalMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Teléfono secundario:"
                           for="telSecundario#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText
                    id="telSecundario#{postIdParam eq null ? '' : postIdParam}"
                    label="Teléfono secundario"
                    value="#{solicitanteParam.telefonoSecundario}" maxlength="15"
                    size="12" rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message
                    for="telSecundario#{postIdParam eq null ? '' : postIdParam}"
                    display="icon"
                    id="telSecundarioMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Ext:"
                           for="extSecundario#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2">
                <h:inputText rendered="#{banderaBusquedaRealizadaParam}"
                             id="extSecundario#{postIdParam eq null ? '' : postIdParam}"
                             label="Extensión teléfono secundario"
                             value="#{solicitanteParam.telefonoSecundarioExt}" maxlength="6"
                             size="5" />
                <p:message
                    for="extSecundario#{postIdParam eq null ? '' : postIdParam}"
                    display="icon"
                    id="extSecundarioMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Fax:"
                           for="fax#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText id="fax#{postIdParam eq null ? '' : postIdParam}"
                             label="Fax" maxlength="15" size="12"
                             value="#{solicitanteParam.fax}"
                             rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message for="fax#{postIdParam eq null ? '' : postIdParam}"
                           display="icon" id="faxMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Ext:"
                           for="extFax#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText id="extFax#{postIdParam eq null ? '' : postIdParam}"
                             label="Extensión fax" maxlength="6" size="5"
                             value="#{solicitanteParam.faxExt}"
                             rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message for="extFax#{postIdParam eq null ? '' : postIdParam}"
                           display="icon"
                           id="extFaxMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>

            <h:outputLabel value="Celular:"
                           for="cel#{postIdParam eq null ? '' : postIdParam}"
                           styleClass="outputLabelStyle"
                           rendered="#{banderaBusquedaRealizadaParam}" />
            <h:panelGrid columns="2" rendered="#{banderaBusquedaRealizadaParam}">
                <h:inputText id="cel#{postIdParam eq null ? '' : postIdParam}"
                             label="Celular" maxlength="15" size="12"
                             value="#{solicitanteParam.telefonoCelular}"
                             rendered="#{banderaBusquedaRealizadaParam}" />
                <p:message for="cel#{postIdParam eq null ? '' : postIdParam}"
                           display="icon" id="celMsg#{postIdParam eq null ? '' : postIdParam}" />
            </h:panelGrid>
        </h:panelGrid>

        <p:panel style="border:0px;"
                 id="datosPaisDptMunPanelId#{postIdParam eq null ? '' : postIdParam}">

            <h:panelGrid columns="2"
                         id="#{datosSolicitanteId}containerGeo#{postIdParam eq null ? '' : postIdParam}"
                         style="border:1px;">

                <h:panelGrid columns="2">
                    <h:outputLabel value="País:"
                                   for="paisSolicitante#{postIdParam eq null ? '' : postIdParam}"
                                   styleClass="outputLabelStyle"
                                   rendered="#{banderaBusquedaRealizadaParam}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}" />
                </h:panelGrid>
                <h:panelGrid columns="4" rendered="#{banderaBusquedaRealizadaParam}">
                    <h:selectOneMenu
                        id="paisSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        label="País" value="#{managedBeanParam.selectedPaisSolicitante}"
                        rendered="#{banderaBusquedaRealizadaParam}"
                        required="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}">
                        <f:selectItems value="#{managedBeanParam.paisesSolicitante}" />
                        <p:ajax process="@this"
                                update="datosPaisDptMunPanelId#{postIdParam eq null ? '' : postIdParam},
                                :#{idParam}solMsgs"
                                listener="#{managedBeanParam.onChangePaisesSolicitante}"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>

                    <p:commandLink
                        update="btnOrdenPaises#{postIdParam eq null ? '' : postIdParam},
                        paisSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        title="Orden"
                        action="#{managedBeanParam.cambiarOrdenPaisesSolicitante}"
                        ajax="true" immediate="true"
                        id="btnOrdenPaises#{postIdParam eq null ? '' : postIdParam}"
                        rendered="#{banderaBusquedaRealizadaParam}">
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenPaisesNombreSolicitante and banderaBusquedaRealizadaParam}"
                            value="/images/sortCode.png" style="border: none" />
                        <p:graphicImage
                            rendered="#{!managedBeanParam.ordenPaisesNombreSolicitante and banderaBusquedaRealizadaParam}"
                            value="/images/sortText.png" style="border: none" />
                    </p:commandLink>

                    <p:message
                        for="paisSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        display="icon"
                        id="paisMsg#{postIdParam eq null ? '' : postIdParam}" />
                </h:panelGrid>

                <h:panelGrid columns="2"
                             rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}">
                    <h:outputLabel value="Departamento:"
                                   for="departamentoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                                   styleClass="outputLabelStyle"
                                   rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}" />
                </h:panelGrid>
                <h:panelGrid columns="4"
                             rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}">
                    <h:selectOneMenu
                        id="departamentoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        label="Departamento"
                        required="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}"
                        value="#{managedBeanParam.selectedDepartamentoSolicitante}">
                        <f:selectItems
                            value="#{managedBeanParam.departamentosSolicitante}" />
                        <p:ajax process="@this"
                                update="datosPaisDptMunPanelId#{postIdParam eq null ? '' : postIdParam},
                                :#{idParam}solMsgs"
                                listener="#{managedBeanParam.onChangeDepartamentosSolicitante}"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>

                    <p:commandLink
                        update="btnOrdenDepartamentosSolicitante#{postIdParam eq null ? '' : postIdParam}, 
                        departamentoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        title="Orden"
                        action="#{managedBeanParam.cambiarOrdenDepartamentosSolicitante}"
                        id="btnOrdenDepartamentosSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        ajax="true" immediate="true">
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenDepartamentosNombreSolicitante}"
                            style="border: none" value="/images/sortCode.png" />
                        <p:graphicImage
                            rendered="#{!managedBeanParam.ordenDepartamentosNombreSolicitante}"
                            style="border: none" value="/images/sortText.png" />
                    </p:commandLink>

                    <p:message
                        for="departamentoSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        display="icon"
                        id="departamentoMsg#{postIdParam eq null ? '' : postIdParam}" />

                </h:panelGrid>

                <h:panelGrid columns="2"
                             rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}">
                    <h:outputLabel value="Municipio:"
                                   for="#{datosSolicitanteId}municipioSolicitante#{postIdParam eq null ? '' : postIdParam}"
                                   styleClass="outputLabelStyle"
                                   rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}" />
                </h:panelGrid>
                <h:panelGrid columns="4"
                             rendered="#{banderaBusquedaRealizadaParam and managedBeanParam.selectedPaisSolicitante eq '140'}">
                    <h:selectOneMenu
                        id="#{datosSolicitanteId}municipioSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        label="Municipio"
                        required="#{not empty solicitanteParam.direccion and not empty solicitanteParam.telefonoPrincipal}"
                        value="#{managedBeanParam.selectedMunicipioSolicitante}">
                        <f:selectItems value="#{managedBeanParam.municipiosSolicitante}" />
                    </h:selectOneMenu>

                    <p:commandLink
                        update="#{datosSolicitanteId}btnOrdenMunicipiosSolicitante#{postIdParam eq null ? '' : postIdParam},
                        #{datosSolicitanteId}municipioSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        title="Orden"
                        action="#{managedBeanParam.cambiarOrdenMunicipiosSolicitante}"
                        id="#{datosSolicitanteId}btnOrdenMunicipiosSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        ajax="true" immediate="true">
                        <p:graphicImage
                            rendered="#{managedBeanParam.ordenMunicipiosNombreSolicitante}"
                            style="border: none" value="/images/sortCode.png" />
                        <p:graphicImage
                            rendered="#{!managedBeanParam.ordenMunicipiosNombreSolicitante}"
                            style="border: none" value="/images/sortText.png" />

                    </p:commandLink>

                    <p:message
                        for="#{datosSolicitanteId}municipioSolicitante#{postIdParam eq null ? '' : postIdParam}"
                        display="icon"
                        id="#{datosSolicitanteId}municipioMsg#{postIdParam eq null ? '' : postIdParam}" />
                </h:panelGrid>


                <h:outputLabel value="Código postal: "
                               styleClass="outputLabelStyle"
                               rendered="#{banderaBusquedaRealizadaParam}"/>

                <h:inputText
                    label="Codigo postal" maxlength="6" size="12"
                    value="#{solicitanteParam.codigoPostal}"
                    rendered="#{banderaBusquedaRealizadaParam}" />

            </h:panelGrid>

        </p:panel>

    </h:panelGrid>

    <h:panelGrid columns="5">

        <h:outputLabel styleClass="outputLabelStyle"
                       value="¿De ser requerido acepta ser notificado por correo electrónico?"
                       rendered="#{!selectedSolicitudParam.solicitudAvisos and banderaBusquedaRealizadaParam}" />
        <h:selectBooleanCheckbox
            value="#{solicitanteParam.notificacionEmailBoolean}"
            rendered="#{!selectedSolicitudParam.solicitudAvisos and banderaBusquedaRealizadaParam}" />

        <p:spacer height="0" width="46" />
        <h:outputLabel value="Dirección de correspondencia:"
                       for="direccionCorr#{postIdParam eq null ? '' : postIdParam}"
                       styleClass="outputLabelStyle"
                       rendered="#{banderaBusquedaRealizadaParam}" />
        <h:panelGrid columns="2"
                     id="#{datosSolicitanteId}containerDireccion#{postIdParam eq null ? '' : postIdParam}"
                     rendered="#{banderaBusquedaRealizadaParam}">
            <h:inputText
                id="direccionCorr#{postIdParam eq null ? '' : postIdParam}"
                label="Dirección de correspondencia"
                value="#{solicitanteParam.direccion}" size="50" maxlength="250" />
            <p:message
                for="direccionCorr#{postIdParam eq null ? '' : postIdParam}"
                display="icon"
                id="direccionCorrMsg#{postIdParam eq null ? '' : postIdParam}" />
        </h:panelGrid>

    </h:panelGrid>

</h:panelGrid>